% inverse FFT eines Eigangssignals
% Mathias Lindner
% Juli 2015

%clear;
clc;
close all;

% remove NaNs
fft_abs(isnan(fft_abs)) = 0;
fft_ang(isnan(fft_ang)) = 0;

% remove Inf
fft_abs(fft_abs==Inf) = 0;
fft_ang(fft_abs==Inf) = 0;

% deg into rad
fft_ang = pi/180 * fft_ang;

% Test IFFT
fft_cplx_back = fft_abs .* exp(1i*fft_ang);
signal_back = ifft(ifftshift(fft_cplx_back));
% 
% 
% % Plots
% figure(1)
% subplot(2,1,1)
% plot(freq, fft_abs)
% subplot(2,1,2)
% plot(freq, fft_ang)
% 
% figure(2)
% plot(linspace(0,1,length(signal)), signal, 'b*', linspace(0,1,length(signal)), signal_back, 'r')
